Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. User
  • AmiliPay API Introduction
  • Industry Categories Reference
  • Webhooks Reference
  • Merchant
    • List all customers
      GET
    • Create customer
      POST
    • Retrieve customer
      GET
    • Update customer
      PUT
    • Create customer token
      POST
    • Retrieve pricing for a merchant
      GET
    • Update pricing for a merchant
      POST
    • List a customer's accepted agreements
      GET
  • User
    • List all users
      GET
    • Create user
      POST
    • Retrieve user
      GET
    • Update user
      PUT
    • Delete user
      DELETE
  • Onboarding
    • Create onboarding application
      POST
    • Retrieve onboarding application
      GET
    • Update onboarding application
      PUT
    • Delete onboarding application
      DELETE
    • Start processing onboarding
      POST
    • Delete onboarding shareholder
      DELETE
    • Create onboarding document
      POST
    • Retrieve onboarding document
      GET
    • Delete onboarding document
      DELETE
    • Retrieve available account agreements
      GET
    • Create onboarding agreement
      POST
    • Mark selected agreement as an accepted by the account
      POST
    • Retrieve a single agreement
      GET
    • Update onboarding agreement
      PUT
    • Deactivate agreement
      DELETE
  • Invoice
    • List all invoices
    • Create invoice
    • Retrieve invoice
    • Update invoice
    • Delete invoice
    • Refund invoice
  • Transactions
    • Get invoice transactions
  • Payout
    • List all payouts
    • Retrieve payout
    • Retrieve payout details
  • Product lines classification
    • Upload a CSV file
    • Manually get processed CSV file path
    • Download a previously uploaded CSV file
  1. User

Create user

POST
/v1/users
Creates a new user and associates the user with one or more accounts.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Body Params application/json

Examples

Responses

🟢201
application/json
Created
Bodyapplication/json

🟠400
🟠409
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v1/users' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "accounts": [
        1,
        2
    ],
    "name": "Jack Doe",
    "email": "jack.doe@visma.com",
    "city": "Tromsø",
    "country": "NO",
    "street_address": "Stakkevolvegen 41",
    "state": "State",
    "zip": "9000",
    "phone": "+4746404000",
    "password": "YOUR_PASSWORD"
}'
Response Response Example
201 - response
{
    "data": {
        "id": "98d94657-00f6-428e-a278-1370b35ab67a",
        "name": "Jack Doe",
        "email": "jack.doe@visma.com",
        "address": {
            "city": "Tromsø",
            "country": "NO",
            "street_address": "Stakkevolvegen 41",
            "state": "State",
            "zip": "9000",
            "phone": "+4746404000"
        },
        "created_at": "2021-12-15 11:01:04",
        "updated_at": "2021-12-15 11:01:04",
        "accounts": [
            {
                "id": 40,
                "name": "Account",
                "email": "account@gmail.com",
                "onboarding_token": "YOUR_ONBOARDING_TOKEN",
                "created_at": "2020-07-28 23:21:53",
                "updated_at": "2021-12-13 12:17:09"
            }
        ],
        "is_two_factor_enabled": false
    }
}
Modified at 2026-09-25 07:15:05
Previous
List all users
Next
Retrieve user
Built with